summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenoit Favre2016-12-10 16:09:24 +0100
committerBenoit Favre2016-12-10 16:09:24 +0100
commit53bb60b0c9d731b6a0f9e3039d6c161a355688fa (patch)
treea69c1b7e89a321bf3e84f8d4864835a2cc5d6524
parentcdf8471f44c8226d1d3f26afe39f31d8fd6439bd (diff)
downloadaur-53bb60b0c9d731b6a0f9e3039d6c161a355688fa.tar.gz
bump version to 1.1.11, WARNING: upstream installs files from other projects
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD18
2 files changed, 15 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 922e24c8abf..8942bac6d53 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,8 @@
# Generated by mksrcinfo v8
-# Sun Oct 23 18:44:16 UTC 2016
+# Sat Dec 10 15:08:29 UTC 2016
pkgbase = aseprite
pkgdesc = Create animated sprites and pixel art
- pkgver = 1.1.9
+ pkgver = 1.1.11
pkgrel = 1
url = http://www.aseprite.org/
arch = x86_64
@@ -20,7 +20,9 @@ pkgbase = aseprite
depends = libwebp
conflicts = aseprite-git
conflicts = aseprite-gpl
- source = git+https://github.com/aseprite/aseprite.git#tag=v1.1.9
+ conflicts = cmark
+ conflicts = gtest
+ source = git+https://github.com/aseprite/aseprite.git#tag=v1.1.11
source = aseprite.desktop
sha256sums = SKIP
sha256sums = 4faeb782805e3427eedb04d7485e3e2d4eac6680509515b521a9f64ef5d79490
diff --git a/PKGBUILD b/PKGBUILD
index 4cee68e7b75..e2307148b52 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
# Contributor: Kamil BiduĊ› <kamil.bidus@gmail.com>
pkgname=aseprite
-pkgver=1.1.9
+pkgver=1.1.11
pkgrel=1
pkgdesc='Create animated sprites and pixel art'
arch=('x86_64' 'i686')
@@ -11,7 +11,7 @@ url='http://www.aseprite.org/'
license=('custom')
depends=('pixman' 'curl' 'giflib' 'zlib' 'libpng' 'libjpeg-turbo' 'tinyxml' 'freetype2' 'libwebp')
makedepends=('cmake')
-conflicts=('aseprite-git' 'aseprite-gpl')
+conflicts=('aseprite-git' 'aseprite-gpl' 'cmark' 'gtest')
source=("git+https://github.com/aseprite/aseprite.git#tag=v${pkgver}"
"aseprite.desktop")
sha256sums=('SKIP'
@@ -20,10 +20,12 @@ sha256sums=('SKIP'
build() {
cd "$pkgname"
- less EULA.txt
- echo "Do you accept the EULA? yes/NO"
- read reply
- [ "$reply" == "yes" ] || exit 1
+ if [ -z "$ASEPRITE_ACCEPT_EULA" ]; then
+ less EULA.txt
+ echo "Do you accept the EULA? yes/NO (set ASEPRITE_ACCEPT_EULA=yes to skip this message)"
+ read reply
+ [ "$reply" == "yes" ] || exit 1
+ fi
mkdir -p build && cd build
git submodule update --init --recursive
@@ -41,13 +43,13 @@ build() {
-DUSE_SHARED_FREETYPE=ON \
-DFREETYPE_INCLUDE_DIR=/usr/include/freetype2 \
-DCMAKE_INSTALL_PREFIX:STRING=/usr ..
- make aseprite
+ make
}
package() {
cd "$pkgname"/build
- make DESTDIR="$pkgdir/" install/fast
+ make DESTDIR="$pkgdir/" install
install -Dm644 "$srcdir/$pkgname.desktop" \
"$pkgdir/usr/share/applications/$pkgname.desktop"
install -Dm644 "../data/icons/ase48.png" \